Rescue

post

Refactor Terraform codebase by extracting variables from resources and modules to separated files

🔒 Requires the read:rescue permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
terraformstring · binaryRequiredExample: terraform=@terraform.zip
iac_typestring · enumOptional

The type of IaC source

Default: terraformPossible values:
Responses
chevron-right
200

Zip archive of refactored data

application/zip
string · binaryOptional
post
/api/v1/rescue/tf/extract
post

Generate bricks file template from IaC source

🔒 Requires the read:rescue permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
sourcestringRequired

The path to the IaC source directory

package_namestringRequired

The package name e.g. @bluebricks/aws-vpc

iac_typestring · enumRequired

The type of IaC source

Possible values:
Responses
chevron-right
200

Generated bricks file template

application/json

Generated bricks file template

namestringRequiredExample: @bluebricks/aws-vpc
descriptionstringOptionalExample: A package for blueprinting a secure VPC
versionstringRequiredExample: 1.2.3Pattern: ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$
tagsstring[]OptionalExample: my-tag
costnumberOptional

Declared cost of the package

Example: 500
manifest_versionnumberOptional

The version of the bricks manifest

Example: 1
statestring · enumOptionalPossible values:
sourcestringOptionalExample: git::https://github.com/bb/vpc.git
post
/api/v1/rescue

Last updated

Was this helpful?